OpenJPEG: opj_t1 Struct Reference

OpenJPEG 2.5.3

Data Fields
opj_t1 Struct Reference

Tier-1 coding (coding of code-block coefficients) More...

`#include <t1.h>`

## Data Fields
opj_mqc_t | mqc
| MQC component.
OPJ_INT32 * | data
opj_flag_t * | flags
| Flags used by decoder and encoder.
OPJ_UINT32 | w
OPJ_UINT32 | h
OPJ_UINT32 | datasize
OPJ_UINT32 | flagssize
OPJ_BOOL | encoder
OPJ_BOOL | mustuse_cblkdatabuffer
OPJ_BYTE * | cblkdatabuffer
OPJ_UINT32 | cblkdatabuffersize

## Detailed Description

Tier-1 coding (coding of code-block coefficients)

## Field Documentation

## ◆ cblkdatabuffer

OPJ_BYTE* opj_t1::cblkdatabuffer

Referenced by opj_t1_decode_cblk(), opj_t1_destroy(), and opj_t1_ht_decode_cblk().

## ◆ cblkdatabuffersize

OPJ_UINT32 opj_t1::cblkdatabuffersize

Referenced by opj_t1_decode_cblk(), and opj_t1_ht_decode_cblk().

## ◆ data

OPJ_INT32* opj_t1::data

Referenced by opj_t1_allocate_buffers(), opj_t1_allocate_buffers(), opj_t1_cblk_encode_processor(), opj_t1_clbl_decode_processor(), opj_t1_dec_refpass_raw(), opj_t1_dec_sigpass_raw(), opj_t1_decode_cblk(), opj_t1_destroy(), opj_t1_enc_clnpass(), opj_t1_enc_refpass(), opj_t1_enc_sigpass(), opj_t1_encode_cblk(), and opj_t1_ht_decode_cblk().

## ◆ datasize

OPJ_UINT32 opj_t1::datasize

Referenced by opj_t1_allocate_buffers(), and opj_t1_allocate_buffers().

## ◆ encoder

OPJ_BOOL opj_t1::encoder

Referenced by opj_t1_create().

## ◆ flags

opj_flag_t* opj_t1::flags

Flags used by decoder and encoder.

Such that flags[1+0] is for state of col=0,row=0..3, flags[1+1] for col=1, row=0..3, flags[1+flags_stride] for col=0,row=4..7, ... This array avoids too much cache trashing when processing by 4 vertical samples as done in the various decoding steps.

Referenced by opj_t1_allocate_buffers(), opj_t1_allocate_buffers(), opj_t1_destroy(), and opj_t1_ht_decode_cblk().

## ◆ flagssize

OPJ_UINT32 opj_t1::flagssize

Referenced by opj_t1_allocate_buffers(), and opj_t1_allocate_buffers().

## ◆ h

OPJ_UINT32 opj_t1::h

Referenced by opj_t1_allocate_buffers(), opj_t1_allocate_buffers(), opj_t1_cblk_encode_processor(), opj_t1_clbl_decode_processor(), opj_t1_dec_clnpass(), opj_t1_dec_clnpass_generic_novsc(), opj_t1_dec_clnpass_generic_vsc(), opj_t1_dec_refpass_mqc(), opj_t1_dec_refpass_mqc_generic(), opj_t1_dec_refpass_raw(), opj_t1_dec_sigpass_mqc(), opj_t1_dec_sigpass_mqc_generic_novsc(), opj_t1_dec_sigpass_mqc_generic_vsc(), opj_t1_dec_sigpass_raw(), opj_t1_enc_clnpass(), opj_t1_enc_refpass(), opj_t1_enc_sigpass(), and opj_t1_encode_cblk().

## ◆ mqc

opj_mqc_t opj_t1::mqc

MQC component.

Referenced by opj_t1_dec_clnpass_check_segsym(), opj_t1_dec_clnpass_step(), opj_t1_dec_refpass_step_mqc(), opj_t1_dec_refpass_step_raw(), opj_t1_dec_sigpass_step_mqc(), opj_t1_dec_sigpass_step_raw(), opj_t1_decode_cblk(), opj_t1_enc_clnpass(), opj_t1_enc_refpass(), opj_t1_enc_sigpass(), and opj_t1_encode_cblk().

## ◆ mustuse_cblkdatabuffer

OPJ_BOOL opj_t1::mustuse_cblkdatabuffer

Referenced by opj_t1_clbl_decode_processor(), opj_t1_decode_cblk(), and opj_t1_ht_decode_cblk().

## ◆ w

OPJ_UINT32 opj_t1::w

Referenced by opj_t1_allocate_buffers(), opj_t1_allocate_buffers(), opj_t1_cblk_encode_processor(), opj_t1_clbl_decode_processor(), opj_t1_dec_clnpass(), opj_t1_dec_clnpass_generic_novsc(), opj_t1_dec_clnpass_generic_vsc(), opj_t1_dec_clnpass_step(), opj_t1_dec_refpass_mqc(), opj_t1_dec_refpass_mqc_generic(), opj_t1_dec_refpass_raw(), opj_t1_dec_sigpass_mqc(), opj_t1_dec_sigpass_mqc_generic_novsc(), opj_t1_dec_sigpass_mqc_generic_vsc(), opj_t1_dec_sigpass_raw(), opj_t1_dec_sigpass_step_raw(), opj_t1_enc_clnpass(), opj_t1_enc_refpass(), opj_t1_enc_sigpass(), and opj_t1_encode_cblk().

The documentation for this struct was generated from the following file:

- t1.h